Package org.apache.uima.analysis_engine.metadata.impl

# Class SofaMapping_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.analysis_engine.metadata.impl.SofaMapping_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `SofaMapping`, `MetaDataObject`, `XMLizable`

public class SofaMapping_impl extends MetaDataObject_impl implements SofaMapping
Implementation of `SofaMapping`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SofaMapping_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAggregateSofaName()`
  Get the sofa name assigned by the aggregate.
  `String`
  `getComponentKey()`
  Gets the component key.
  `String`
  `getComponentSofaName()`
  Gets the sofa name assigned by the component.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `setAggregateSofaName(String aAggregateSofaName)`
  Set the sofa name assigned by the aggregate.
  `void`
  `setComponentKey(String aComponentKey)`
  Set the component key.
  `void`
  `setComponentSofaName(String aComponentSofaName)`
  Set the component assigned sofa name.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### SofaMapping_impl

    public SofaMapping_impl()

- ## Method Details

  - ### getComponentKey

    public String getComponentKey()
    Description copied from interface: `SofaMapping`
    Gets the component key. This identifies the component for which this mapping is defined.
    Specified by:
      `getComponentKey` in interface `SofaMapping`
    Returns:
      the key

  - ### setComponentKey

    public void setComponentKey(String aComponentKey)
    Description copied from interface: `SofaMapping`
    Set the component key. This identifies the component for which this mapping is defined.
    Specified by:
      `setComponentKey` in interface `SofaMapping`
    Parameters:
      `aComponentKey` - the key

  - ### getComponentSofaName

    public String getComponentSofaName()
    Description copied from interface: `SofaMapping`
    Gets the sofa name assigned by the component.
    Specified by:
      `getComponentSofaName` in interface `SofaMapping`
    Returns:
      the component's sofa name

  - ### setComponentSofaName

    public void setComponentSofaName(String aComponentSofaName)
    Description copied from interface: `SofaMapping`
    Set the component assigned sofa name.
    Specified by:
      `setComponentSofaName` in interface `SofaMapping`
    Parameters:
      `aComponentSofaName` - the component's sofa name

  - ### getAggregateSofaName

    public String getAggregateSofaName()
    Description copied from interface: `SofaMapping`
    Get the sofa name assigned by the aggregate.
    Specified by:
      `getAggregateSofaName` in interface `SofaMapping`
    Returns:
      the aggregate's sofa name

  - ### setAggregateSofaName

    public void setAggregateSofaName(String aAggregateSofaName)
    Description copied from interface: `SofaMapping`
    Set the sofa name assigned by the aggregate.
    Specified by:
      `setAggregateSofaName` in interface `SofaMapping`
    Parameters:
      `aAggregateSofaName` - the aggregate's sofa name

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation